package com.sooka.system.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 个人存款账户变动信息对象 tgjj_grckzhbdxx
 *
 * @author lei
 * @date 2021-11-16
 */
public class TgjjGrckzhbdxx extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 数据主键ID */
    private Long ID;

    /** 个人账号 */
    @Excel(name = "个人账号")
    private String GRZH;

    /** 记账日期 */
    @Excel(name = "记账日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date JZRQ;

    /** 归集和提取业务类型 */
    @Excel(name = "归集和提取业务类型")
    private String GJHTQYWLX;

    /** 发生额 */
    @Excel(name = "发生额")
    private BigDecimal FSE;

    /** 当年归集发生额 */
    @Excel(name = "当年归集发生额")
    private BigDecimal DNGJFSE;

    /** 上年结转发生额 */
    @Excel(name = "上年结转发生额")
    private BigDecimal SNJZFSE;

    /** 发生利息额 */
    @Excel(name = "发生利息额")
    private BigDecimal FSLXE;

    /** 提取原因 */
    @Excel(name = "提取原因")
    private String TQYY;

    /** 提取方式 */
    @Excel(name = "提取方式")
    private String TQFS;

    /** 业务流水号 */
    @Excel(name = "业务流水号")
    private String YWLSH;

    /** 冲账标识 */
    @Excel(name = "冲账标识")
    private String CZBZ;

    /** 个人账户余额 */
    @Excel(name = "个人账户余额")
    private BigDecimal GRZHYE;

    /** 中心编号 */
    @Excel(name = "中心编号")
    private String ZXBH;

    /** 最后更新时间戳 */
    @Excel(name = "最后更新时间戳", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastUpdateTime;

    /** 处理类型 */
    @Excel(name = "处理类型")
    private Long CLLX;

    public void setID(Long ID)
    {
        this.ID = ID;
    }

    public Long getID()
    {
        return ID;
    }
    public void setGRZH(String GRZH)
    {
        this.GRZH = GRZH;
    }

    public String getGRZH()
    {
        return GRZH;
    }
    public void setJZRQ(Date JZRQ)
    {
        this.JZRQ = JZRQ;
    }

    public Date getJZRQ()
    {
        return JZRQ;
    }
    public void setGJHTQYWLX(String GJHTQYWLX)
    {
        this.GJHTQYWLX = GJHTQYWLX;
    }

    public String getGJHTQYWLX()
    {
        return GJHTQYWLX;
    }
    public void setFSE(BigDecimal FSE)
    {
        this.FSE = FSE;
    }

    public BigDecimal getFSE()
    {
        return FSE;
    }
    public void setDNGJFSE(BigDecimal DNGJFSE)
    {
        this.DNGJFSE = DNGJFSE;
    }

    public BigDecimal getDNGJFSE()
    {
        return DNGJFSE;
    }
    public void setSNJZFSE(BigDecimal SNJZFSE)
    {
        this.SNJZFSE = SNJZFSE;
    }

    public BigDecimal getSNJZFSE()
    {
        return SNJZFSE;
    }
    public void setFSLXE(BigDecimal FSLXE)
    {
        this.FSLXE = FSLXE;
    }

    public BigDecimal getFSLXE()
    {
        return FSLXE;
    }
    public void setTQYY(String TQYY)
    {
        this.TQYY = TQYY;
    }

    public String getTQYY()
    {
        return TQYY;
    }
    public void setTQFS(String TQFS)
    {
        this.TQFS = TQFS;
    }

    public String getTQFS()
    {
        return TQFS;
    }
    public void setYWLSH(String YWLSH)
    {
        this.YWLSH = YWLSH;
    }

    public String getYWLSH()
    {
        return YWLSH;
    }
    public void setCZBZ(String CZBZ)
    {
        this.CZBZ = CZBZ;
    }

    public String getCZBZ()
    {
        return CZBZ;
    }
    public void setGRZHYE(BigDecimal GRZHYE)
    {
        this.GRZHYE = GRZHYE;
    }

    public BigDecimal getGRZHYE()
    {
        return GRZHYE;
    }
    public void setZXBH(String ZXBH)
    {
        this.ZXBH = ZXBH;
    }

    public String getZXBH()
    {
        return ZXBH;
    }
    public void setLastUpdateTime(Date lastUpdateTime)
    {
        this.lastUpdateTime = lastUpdateTime;
    }

    public Date getLastUpdateTime()
    {
        return lastUpdateTime;
    }
    public void setCLLX(Long CLLX)
    {
        this.CLLX = CLLX;
    }

    public Long getCLLX()
    {
        return CLLX;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getID())
            .append("GRZH", getGRZH())
            .append("JZRQ", getJZRQ())
            .append("GJHTQYWLX", getGJHTQYWLX())
            .append("FSE", getFSE())
            .append("DNGJFSE", getDNGJFSE())
            .append("SNJZFSE", getSNJZFSE())
            .append("FSLXE", getFSLXE())
            .append("TQYY", getTQYY())
            .append("TQFS", getTQFS())
            .append("YWLSH", getYWLSH())
            .append("CZBZ", getCZBZ())
            .append("GRZHYE", getGRZHYE())
            .append("ZXBH", getZXBH())
            .append("lastUpdateTime", getLastUpdateTime())
            .append("CLLX", getCLLX())
            .toString();
    }
}
